.b-top_page-basket-wrap {
    position: absolute;
    left: 3px;
    top: 0;
}

.b-top_page-basket {
    border: 3px solid #E6EBED;
    position: relative;
    font-size: 14px;
    background: #F6F8F9;
    width: 300px;
    min-height: 147px;
}

.b-top_page-basket-title {
    position: absolute;
    top: -3px;
    left: -40px;
    width: 40px;
    height: 153px;
    background: url('img/title.png') no-repeat 0 0;
    cursor: pointer;
}

.b-top_page-basket-title.g-icon-cart:before {
    content: none;
}

    .b-top_page-basket-title .count {
    	display: none;
        width: 10px;
        height: 10px;
        line-height: 10px;
        background: #FFF;
        font-size: 8px;
        text-align: center;
        -moz-border-radius: 50%; 
    	-webkit-border-radius: 50%;
    	border-radius: 50%;
        border: 2px solid #FFE349;
        position: absolute;
        top: 10px;
        left: 3px;
    }

    .b-top_page-basket-text {
        padding: 6px 0px 4px 10px;
    }
    
        .b-top_page-basket-text .red {
            color: #ed1c24;
            font-family: opensans-bold;
        }

    a.b-top_page-basket-show_products {
        position: absolute;
        top: 11px;
        right: 10px;
        color: #000;
        display: block;
        padding: 0 15px 0;
        text-decoration: none;
    }
    
        a.b-top_page-basket-show_products span.arrow {
            position: absolute;
            top: 10px;
            right: 0;
            width: 11px;
            height: 6px;
            background: url('img/arrow.png') no-repeat 0 0;
        }
        
            a.up span.arrow {
                background-position: 0 -6px;
            }
    
    .b-top_page-basket-products {
        padding: 10px;
        border-top: 1px dashed #e6ebed;
    }
    
    .b-top_page-basket-products table {
        width: 100%;
        font-size: 12px;
        text-align: left;
    }
    
        .b-top_page-basket-products table td {
            padding: 5px;
            vertical-align: middle;
        }
        
        .b-top_page-basket-products table th {
            padding: 5px 0;
            font-weight: normal;
            font-size: 14px;
            color: #ED1C24;
            white-space: nowrap;
        }
        
        .b-top_page-basket-products table td.b-shop-order-basket_td-price,
        .b-top_page-basket-products table td.b-shop-order-basket_td-count,
        .b-top_page-basket-products table td.b-shop-order-basket_td-active {
            
        }
        
        .b-top_page-basket-products table td.b-shop-order-basket_td-price {
            white-space: nowrap;
        }
        
        .b-top_page-basket-products table td.b-shop-order-basket_td-count {
            text-align: center;
            padding: 5px 0;
        }
        
        .b-top_page-basket-products table td.b-shop-order-basket_td-active a {
            display: inline-block;
            width: 10px;
            height: 10px;
            background: url('img/del.png') no-repeat 0 0;
        }
        
        .b-shop-order-basket-button {
            text-align: right;
            padding: 9px 9px 0;
        }
        
            .b-shop-order-basket-button a {
                background: #FFE349;
                color: #000;
                font: normal 12px opensans-bold;
                text-transform: uppercase;
                -moz-border-radius: 8px;
                -webkit-border-radius: 8px;
                border-radius: 8px;
                padding: 8px 16px;
                margin-right: 12px;
                display: inline-block;
                text-decoration: none;
            }
        
.g-buy-button,
.g-buy-button-disabled {
    display: inline-block;
    padding: 4px 10px 5px 10px;
    font-size: 14px;
    text-decoration: none !important;   
}

@media (max-width: 768px) {
    .b-top_page-basket-wrap {
        left: auto;
        right: 0;
    }

        .b-top_page-basket {
            border: none;
            background: transparent;
            width: auto;
            min-height: 1px;
        }

            .b-top_page-basket-text {
                display: none;
            }

            .b-top_page-basket-title {
                background: transparent;
                top: 0;
                left: auto;
                right: 0;
                width: auto;
                height: auto;
                font-size: 40px;
                color: #d24a43;
            }

        .b-top_page-basket-title.g-icon-cart:before {
            content: '\e902';
        }
}